package com.unis.crk.mq.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @description:粮库数据上传数据接收对象
 * @author:马伟栋
 * @version:v1.0
 * @create:2019/04/12-11:13
 **/

@SuppressWarnings("all")
public class UploadDTO implements Serializable{
	
	

    /**
     * 报文标识ID(不可空)
     */
    @JsonProperty("ID")
    private String id;

    /**
     * 报文版本号(不可空)
     */
    @JsonProperty("VER")
    private String ver;

    /**
     * 发送命令的单位编码
     */
    @JsonProperty("OrgNo")
    private String orgNo;

    /**
     * 发送命令的单位名称
     */
    @JsonProperty("OrgName")
    private String orgName;

    /**
     * 命令发起时间(长日期格式精确到毫秒)
     */
    @JsonProperty("SendTime")
    private String sendTime;

    /**
     * 命令数据主体内容(DES加密算法，交换双方约定秘钥。秘钥进行定期更新)
     */
    @JsonProperty("Body")
    private Object body;

    /**
     * 单位统一社会信用代码
     */
    private String dwdm;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getVer() {
		return ver;
	}

	public void setVer(String ver) {
		this.ver = ver;
	}

	public String getOrgNo() {
		return orgNo;
	}

	public void setOrgNo(String orgNo) {
		this.orgNo = orgNo;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getSendTime() {
		return sendTime;
	}

	public void setSendTime(String sendTime) {
		this.sendTime = sendTime;
	}

	public Object getBody() {
		return body;
	}

	public void setBody(Object body) {
		this.body = body;
	}

	public String getDwdm() {
		return dwdm;
	}

	public void setDwdm(String dwdm) {
		this.dwdm = dwdm;
	}
    
    
    

}
